Package: org.codehaus.groovy.binding

## [Java] Class PropertyChangeProxyTargetBinding

- org.codehaus.groovy.binding.PropertyChangeProxyTargetBinding

- All Implemented Interfaces and Traits:
    TargetBinding

      public class PropertyChangeProxyTargetBinding

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertyChangeProxyTargetBinding (Object proxyObject, String propertyName, PropertyChangeListener listener)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `updateTargetValue(Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public PropertyChangeProxyTargetBinding(Object proxyObject, String propertyName, PropertyChangeListener listener)

  - ### Method Detail

    - #### public void updateTargetValue(Object value)